Subject: bug#14367: 24.3; smtpmail-send-it starttls ignores the absence of starttls

From: Glenn Morris <[email-masked]>
Date: Wed, 08 May 2013 03:13:17 -0400

sea wrote:

> I've just noticed that if smtpmail-send-it is configured to use
> starttls,

How did you do that, precisely?

> and if gnutls-cli (or whatever tls client you use) is /not/ installed
> on the system, then EMacs will go ahead and attempt to send the email
> without TLS anyway, usually resulting in an authentication error.

>From etc/NEWS:

    *** SMTPmail now uses encrypted connections (via STARTTLS) by default
    if the mail server supports them.  This uses either built-in GnuTLS
    support, or the starttls.el library.  Customize `smtpmail-stream-type'
    to change this.

>From C-h v smtpmail-stream-type:

    smtpmail-stream-type is a variable defined in `smtpmail.el'.
    Its value is nil

    Documentation:
    Type of SMTP connections to use.
    This may be either nil (possibly upgraded to STARTTLS if possible),
    or `starttls' (refuse to send if STARTTLS isn't available), or `plain'
    (never use STARTTLS), or `ssl' (to use TLS/SSL).

So maybe setting that to `starttls' will have the desired effect?